Bug 1073053 - EAP 6.2 audit log should display the EAP version instead of the AS version
Summary: EAP 6.2 audit log should display the EAP version instead of the AS version
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER1
: EAP 6.3.0
Assignee: James Perkins
QA Contact: Nikoleta Ziakova
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-05 16:35 UTC by Tom Fonteyne
Modified: 2018-12-04 17:42 UTC (History)
3 users (show)

(edit)
In previous versions of JBoss EAP 6, the audit log would display an incorrect version number. 

This has been corrected in this release and the version number is displayed as expected.
Clone Of:
(edit)
Last Closed: 2014-06-28 15:44:09 UTC


Attachments (Terms of Use)

Description Tom Fonteyne 2014-03-05 16:35:48 UTC
Currently the audit log shows the AS version number instead of the EAP version. Example:

Feb 13 07:55:43 efjkffglk000000719 syslogappname[553]: 2014-02-13 07:55:43 - {"type" : "core", "r/o" : false, "booting" : false, "version" : "7.3.0.Final-redhat-14", "user" : "$local", "domainUUID" : null, "access" : "NATIVE", "remote-address" : "10.10.10.250/10.10.10.250", "success" : true, "ops" : [{"address" : [
{ "host" : "master" },
{ "core-service" : "management" },
{ "access" : "audit" },
{ "logger" : "audit-log" }
], "operation" : "write-attribute", "name" : "enabled", "value" : false, "operation-headers" : {"caller-type" : "user", "access-mechanism" : "NATIVE", "domain-uuid" : "fead80e4-690d-4bcf-af71-ecaf30f98381", "push-to-servers" : null}}]}

Currently:

"version" : "7.3.0.Final-redhat-14"

the customer wants this to show:

"version" : "6.2 CP01" (or whatever CP is installed)

Comment 2 Kabir Khan 2014-03-26 22:34:25 UTC
Merged

Comment 3 Brian Stansberry 2014-03-28 22:09:13 UTC
Note the log would show "6.2.1.GA", not "6.2 CP01". The former is a software version number, the latter is the name of a patch used to bring the software to that version.

Comment 4 Nikoleta Ziakova 2014-04-10 11:06:08 UTC
Verified with EAP 6.3.0 ER1.


Note You need to log in before you can comment on or make changes to this bug.